-- This work is licensed under the Creative Commons Attribution-ShareAlike 3.0 Unported License.
-- To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/3.0/
-- or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.

local MereHealingFrames, privateVars = ...

MereHealingFrames.context = UI.CreateContext("MereHealingFrames")
MereHealingFrames.context:SetSecureMode("restricted")

MereHealingFrames.Layouts = {}

MereHealingFrames.ToolTip.Initialize(MereHealingFrames.context)

MereHealingFrames.PlayerId = Inspect.Unit.Lookup("player")
MereHealingFrames.SpellRange = 35

MereHealingFrames.Colours.RegisterEventHooks()

MereHealingFrames.Config.window = MereHealingFrames.Config.UI:new()

function MereHealingFrames.fetchVersion()
	return "Version " ..  MereHealingFrames.toc.Version
end

MereHealingFrames.UI.Utilities.CreateToolTipHook()

MereHealingFrames.RaidManagement.LibUnitChange.Register()
LibVersionCheck.register(MereHealingFrames.toc.Identifier, MereHealingFrames.toc.Version)

print("Mere Healing Frames " .. MereHealingFrames.fetchVersion() .. " loaded")
